########################################################################
#
#  Copyright (C) 2009, CZ.NIC, z.s.p.o.
# 
#  This file is part of dnstester.
#
#  dnstester is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  dnstester is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
########################################################################

import pygtk
pygtk.require("2.0")
import gtk, gobject
import images
import labeltext

import lang, messages
from page import Page

class PageWelcome(Page):

    type = gtk.ASSISTANT_PAGE_INTRO
    title = 'welco'
    number = 1
    
    def __init__(self, parent):
        Page.__init__(self, parent)
        self.widget = self.create_vbox()

    def create_vbox(self):
        vbox = gtk.VBox()
        vbox.set_border_width(20)
        
        # add frame with label
        label = labeltext.LabelText('welco_body', padding=0)
        vbox.pack_start(label, False, False)

        vbox.show_all()
        return vbox

